<template>
  <div class="scores">
    <BaseScore
      class="uppercase bg-light-blue"
      :heading="xHeading"
      :value="score.X"
    />
    <BaseScore class="uppercase bg-silver" heading="Ties" :value="score.Ties" />
    <BaseScore
      class="uppercase bg-light-yellow"
      :heading="oHeading"
      :value="score.O"
    />
  </div>
</template>

<script>
import { computed, reactive } from "vue";
import choices from "@/config/choices";
export default {
  name: "GameScore",
  props: {
    score: {
      type: Object,
      required: true,
    },
    settings: {
      type: Object,
      required: true,
    },
  },
  setup(props) {
    const { settings } = reactive(props);

    const xHeading = computed(function () {
      if (settings.isVsCPU) {
        if (settings.choice == choices.X) {
          return "x (you)";
        } else {
          return "x (cpu)";
        }
      } else {
        return "x (P1)";
      }
    });
    const oHeading = computed(function () {
      if (settings.isVsCPU) {
        if (settings.choice == choices.O) {
          return "o (you)";
        } else {
          return "o (cpu)";
        }
      } else {
        return "o (P2)";
      }
    });
    return { xHeading, oHeading };
  },
};
</script>

<style lang="scss" scoped>
.scores {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}
</style>
